// Code generated by go-swagger; DO NOT EDIT.

package roles

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*UserRoleGetDefault An unexpected error response

swagger:response userRoleGetDefault
*/
type UserRoleGetDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserRoleGetDefault creates UserRoleGetDefault with default headers values
func NewUserRoleGetDefault(code int) *UserRoleGetDefault {
	if code <= 0 {
		code = 500
	}

	return &UserRoleGetDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user role get default response
func (o *UserRoleGetDefault) WithStatusCode(code int) *UserRoleGetDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user role get default response
func (o *UserRoleGetDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user role get default response
func (o *UserRoleGetDefault) WithPayload(payload *models.Error) *UserRoleGetDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user role get default response
func (o *UserRoleGetDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserRoleGetDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
